## openjdk-8 8u332-b09

=== debian/changelog ===
openjdk-8 (8u332-b09-lnd.8.1.11.1) unstable; urgency=medium

  * 解决源码包缺少版本库时构建失败问题(JDK-8031567: broke builds from source bundles)

 -- Ao Qi <aoqi@loongson.cn>  Thu, 11 Aug 2022 17:32:49 +0800

openjdk-8 (8u332-b09-lnd.8.1.11) unstable; urgency=medium

  * 版本升级，由8u312-b07升级至8u322-b06
  * 版本升级，由8u322-b06升级至8u332-b09
  * [LoongArch] C1和分层编译支持，优化性能
  * [LoongArch] C2向量指令优化
  * [LoongArch] 优化GC停顿时间
  * [LoongArch] CRC32 Intrinsics优化
  * 优化ArrayFill
  * [LoongArch] 优化Math.multiplyHigh
  * [LoongArch] AllocatePrefetch相关参数调优
  * [LoongArch] InlineSmallCode调优，默认值设为2000
  * [LoongArch] 使用cpucfg识别特性
  * 修复Redefine Class可能导致的偶发崩溃
  * 修复jvmti相关的随机错误
  * 修复push2/pop2入栈和出栈顺序问题
  * 修复Early Return可能导致浮点值恢复错误问题
  * 修复ori2s立即数越界问题

 -- Ao Qi <aoqi@loongson.cn>  Mon, 1 Aug 2022 11:38:21 +0800

openjdk-8 (8u312-b07-lnd.8.1.10) unstable; urgency=medium

  * 版本升级，由jdk8u302-b08升级至jdk8u312-b07

 -- Ao Qi <aoqi@loongson.cn>  Thu, 25 Nov 2021 20:50:13 +0800

openjdk-8 (8u302-b08-lnd.8.1.9) unstable; urgency=medium

  * 版本升级，由jdk8u292-b10升级至jdk8u302-b08
  * [LoongArch] 解决了一处在堆设置大于128G时可能触发的随机崩溃问题
  * [LoongArch] 实现trampoline stub，解决patch原子性问题

 -- Ao Qi <aoqi@loongson.cn>  Sat, 23 Oct 2021 11:00:18 +0800

openjdk-8 (8u292-b10-lnd.8.1.8) unstable; urgency=medium

  * 版本升级，由jdk8u282-b08升级至jdk8u292-b10
  * [LoongArch] SHA1/SHA256 Intrinsics优化，使得SPECjvm2008中的crypto.signverify项提升71%
  * [LoongArch] AES Intrinsics优化，使得SPECjvm2008中的crypto.signverify项提升约6.14%
  * 优化C2中Rotation操作，使得SPECjvm2008中的crypto.signverify在LoongArch和MIPS上分别提升了4.3%和2.6%
  * [LoongArch] 数组拷贝优化，使得SPECjvm2008中的serial项提升6.4%
  * [LoongArch] 优化C2中一些立即数为0时的访存操作
  * 去除输入法跟随功能
  * jdk中不附带ChangeLog文件
  * 解决了一处解释器中由于乱序执行可能导致的随机崩溃问题
  * [LoongArch] 修复DaCapo eclipse个别条件下随机崩溃问题
  * [LoongArch] 修复NMT相关崩溃问题
  * [MIPS] 实现trampoline stub，解决patch原子性问题

 -- Ao Qi <aoqi@loongson.cn>  Thu, 05 Aug 2021 15:22:20 +0800

openjdk-8 (8u282-b08-8.1.7) unstable; urgency=medium

  * 版本升级，由jdk8u275-b01升级至jdk8u282-b08
  * LoongArch支持
  * 更新OpenJFX至8u202，集成Media和Webkit，修复Ensemble8.jar视频相关例子闪退问题
  * 修复栈更新顺序导致的稳定性问题
  * 修复被动式全局同步(UseMembar == false)的处理实现
  * 修复“~BufferBlob::Signature Handler Temp Buffer”随机崩溃问题
  * 修复线程状态不同步导致的解释器随机崩溃问题
  * 修复非原子性patch_verified_entry导致的稳定性问题
  * 修复浮点unordered比较问题
  * 修复寄存器使用重叠和实例Fields初始化时发生越界访问问题
  * 修复Method::from_compiled_entry() checking
  * 修复BasicObjectLock::object checking
  * 优化跳转
  * 优化立即数加载
  * 优化Conditional Move
  * 优化Montgomery Multiplication

 -- Ao Qi <aoqi@loongson.cn>  Mon, 22 Mar 2021 10:05:12 +0800

openjdk-8 (8u275-b01-8.1.6.ea.20210316) unstable; urgency=medium

  * 6999020
  * support jvm.cfg-default

 -- Ao Qi <aoqi@loongson.cn>  Tue, 16 Mar 2021 19:17:13 +0800

openjdk-8 (8u275-b01-8.1.6.ea.20210126) unstable; urgency=medium

  * 40ff9d6.

 -- Ao Qi <aoqi@loongson.cn>  Tue, 26 Jan 2021 15:49:25 +0800

openjdk-8 (8u275-b01-8.1.6.ea.20201231) unstable; urgency=medium

  * Initial la port.
  * 8.1.6, jdk8u275-b01.

 -- Ao Qi <aoqi@loongson.cn>  Fri, 25 Dec 2020 18:57:54 +0800

openjdk-8 (8u275-b01-8.1.6) unstable; urgency=medium

  * Initial mips port.
  * 8.1.6, jdk8u275-b01.

 -- Ao Qi <aoqi@loongson.cn>  Fri, 25 Dec 2020 18:57:54 +0800
