## openjdk-8 8u342-b07

=== debian/changelog ===
openjdk-8 (8u342-b07-1~deb9u1) stretch-security; urgency=medium

  * Disable tests (fail on old releases, cf. debian/README.source)
  * Build for (wtf) wheezy, (ELTS) jessie, stretch, (wtf) buster,
    bullseye and (PPA) trusty, xenial, bionic, focal, jammy
  * Effort sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 23 Jul 2022 02:12:28 +0200

openjdk-8 (8u342-b07-1) unstable; urgency=medium

  * New upstream release
  * Security fixes:
    - JDK-8272243: Improve DER parsing
    - JDK-8272249: Better properties of loaded Properties
    - JDK-8277608: Address IP Addressing
    - JDK-8281859, CVE-2022-21540: Improve class compilation
    - JDK-8281866, CVE-2022-21541: Enhance MethodHandle invocations
    - JDK-8283190: Improve MIDI processing
    - JDK-8284370: Improve zlib usage
    - JDK-8285407, CVE-2022-34169: Improve Xalan supports
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2022-July/015254.html
  * Add patch to undo user.dir change prohibition; this breaks legacy
    software like Gradle
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 23 Jul 2022 01:34:54 +0200

openjdk-8 (8u342~b06-1) unstable; urgency=low

  * Upload 8u342-b06 for pre-release testing (b05 for hotspot-aarch32
    but the only difference is elsewhere)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 12 Jul 2022 23:13:34 +0200
