=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-unexport LANG LC_ALL
+unexport LANG
+export LC_ALL=C
+unexport LANGUAGE
 
 dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')
 
@@ -47,14 +49,13 @@
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
 hotspot_aarch32_archs = armhf
-hotspot_aarch64_archs = arm64
-hotspot_mips64_archs = mips64el
-hotspot_loongarch64_archs = loongarch64
+#hotspot_aarch64_archs = arm64
+hotspot_aarch64_archs =
 
 hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
-	$(hotspot_aarch32_archs) $(hotspot_mips64_archs) $(hotspot_loongarch64_archs) kfreebsd-amd64 kfreebsd-i386
-jtreg_archs	= $(hotspot_archs) alpha arm64 armel armhf \
-		  ia64 mips mipsel mips64 mips64el loongarch64 powerpc \
+	$(hotspot_aarch32_archs) kfreebsd-amd64 kfreebsd-i386
+jtreg_archs	= $(hotspot_archs) alpha armel armhf \
+		  ia64 mips mipsel mips64 mips64el powerpc \
 		  powerpcspe ppc64 ppc64el s390x sh4 x32
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
@@ -95,8 +96,23 @@
 endif
 jvmver		= 1.8.0
 shortver	= 8
-updatever	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)u\([0-9]\+\).*/\1/p')
-buildver	:= $(shell echo $(PKGVERSION) | sed -n 's/^$(shortver)[^-]*-\(b[0-9]\+\).*/\1/p')
+
+is_release		=
+is_release		= yes
+gh_project		= jdk8u
+gh_tag			= jdk8u342-b07
+version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
+#version_dash_buildnr	= 3x2-b0x
+gh_tag_aarch32		= jdk8u342-b07-aarch32-20220721
+#gh_tag_aarch64		= aarch64-shenandoah-jdk8u322-b06
+package_version		= $(subst jdk,,${gh_tag})
+ifneq ($(is_release),yes)
+  package_version	:= $(subst -,~,$(package_version))
+endif
+
+# make sure to set version_dash_buildnr above manually if gh_tag is -ga
+updatever		:= $(firstword $(subst -, ,${version_dash_buildnr}))
+buildver		:= $(lastword $(subst -, ,${version_dash_buildnr}))
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -134,18 +150,18 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
-#with_check = disabled for this build
-#ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_loongarch64_archs)))
-#with_check = disabled for this build
-#endif
+ifneq (,$(filter $(distrel),precise))
+  with_check = disabled running check on $(distrel)
+endif
+with_check = disabled for this build
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))
   with_docs = disabled for shark
 endif
 
-arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el loongarch64=loongarch64 powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
-archdir_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el loongarch64=loongarch64 powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
+arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
+archdir_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
 
 jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
 			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
@@ -167,14 +183,8 @@
 ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch32_archs)))
   hotspot_version = aarch32
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_mips64_archs)))
-  hotspot_version = mips64el
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_loongarch64_archs)))
-  hotspot_version = loongarch64
-endif
-
-any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el loongarch64 powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
+
+any_archs = alpha amd64 armel ${hotspot_aarch32_archs} arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 
 ifneq (,$(filter $(distrel),xenial))
   transitional_jamvm_pkg = yes
@@ -221,4 +231,3 @@
 
 # FIXME: ftbfs with -Werror=format-security
 dpkg_buildflags_hs = \
-	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
