=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 # Shark build but just crash
 shark_archs	=
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy))
   is_default = no
 else
   is_default = yes
@@ -100,10 +100,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u342-b07
+gh_tag			= jdk8u352-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-#version_dash_buildnr	= 3x2-b0x
-gh_tag_aarch32		= jdk8u342-b07-aarch32-20220721
+version_dash_buildnr	= 352-b08
+gh_tag_aarch32		= jdk8u352-ga-aarch32-20221020
 #gh_tag_aarch64		= aarch64-shenandoah-jdk8u322-b06
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
