## openjdk-8 8u362-ga

=== debian/changelog ===
openjdk-8 (8u362-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.
  * Disable the test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 31 Jan 2023 13:24:41 +0100

openjdk-8 (8u362-ga-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * New upstream release
  * Security fixes:
    - CVE-2023-21830
    - CVE-2023-21843
    - JDK-8285021: Improve CORBA communication
    - JDK-8286496: Improve Thread labels
    - JDK-8288516: Enhance font creation
    - JDK-8289350: Better media supports
    - JDK-8293554: Enhanced DH Key Exchanges
    - JDK-8293598: Enhance InetAddress address handling
    - JDK-8293717: Objective view of ObjectView
    - JDK-8293734: Improve BMP image handling
    - JDK-8293742: Better Banking of Sounds
    - JDK-8295687: Better BMP bounds
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2023-January/016479.html
  * Upload sponsored by ⮡ tarent

  [ Emilio Pozuelo Monfort ]
  * Make openjdk-8 the default Java version in jessie, following the
    change in java-common 0.52+deb8u1. This bumps Java 8's priority in
    the alternatives system. Make sure update-alternatives is called
    for installed versions with priority lower than the new one.

  [ Thorsten Glaser ]
  * Use dynamic priority for testing whether u-a needs to be run

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Jan 2023 11:53:00 +0100
