## openjdk-8 8u372-ga~us1

=== debian/changelog ===
openjdk-8 (8u372-ga~us1-0ubuntu1~18.04) bionic-security; urgency=medium

  * Upload to Ubuntu 18.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 06 May 2023 09:49:22 +0200

openjdk-8 (8u372-ga~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 8u372 release, build 7.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk8u-dev/2023-April/017039.html
  * d/rules: remove IcedTeaPlugin.so reference (LP: #2016396).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 28 Apr 2023 15:44:40 +0200

openjdk-8 (8u362-ga-0ubuntu2) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 17:18:57 +1300

openjdk-8 (8u362-ga-0ubuntu1) lunar; urgency=medium

  * New upstream release
  * CVEs
    - CVE-2023-21830
    - CVE-2023-21843
  * Security fixes
    - JDK-8285021: Improve CORBA communication
    - JDK-8286496: Improve Thread labels
    - JDK-8288516: Enhance font creation
    - JDK-8289350: Better media supports
    - JDK-8293554: Enhanced DH Key Exchanges
    - JDK-8293598: Enhance InetAddress address handling
    - JDK-8293717: Objective view of ObjectView
    - JDK-8293734: Improve BMP image handling
    - JDK-8293742: Better Banking of Sounds
    - JDK-8295687: Better BMP bounds
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2023-January/016479.html

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 20 Jan 2023 09:19:08 +1300
