=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 # Shark build but just crash
 shark_archs	=
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy))
+ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
   is_default = no
 else
   is_default = yes
@@ -153,7 +153,7 @@
 ifneq (,$(filter $(distrel),precise))
   with_check = disabled running check on $(distrel)
 endif
-with_check = disabled for this build
+#with_check = disabled for this build
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(findstring shark, $(PKGSOURCE)))
